<br><br>
<table width="95%" border="0" cellspacing="0" cellpadding="0" align="center" class="inputline" style="border:1px solid #ccc;">
	<tr>
	  <td>PHP版本要求</td>
	  <td>要求4.3以上版本，当前版本是<? echo $phpver = phpversion();?></td>
	  <td>
	  <?
		  if($phpver>=4.3) echo "<font color='green'>符合</font>";
		  else{
		  	echo "<font color='red'>版本过低,请使用php 4.1 以上版本</font>";
			$error = 1;
		  }
	  ?>
	  </td>
	</tr>
	<tr>
	  <td>mysql支持</td>
	  <td>要求mysql4.0以上版本</td>
	  <td>&nbsp;</td>
	</tr>
	<tr>
	  <td> ../common/目录</td>
	  <td>要求可读写</td>
	  <td>
	  	<?
		$file = "../common/test.tmp";
		$fd = @fopen($file,"w+");
		if($fd) echo "<font color='green'>可读写</font>";
		else{
			echo "<font color='red'>错误：请将此目录设为可读写</font>";
			$error = 1;
		}
		@unlink($file);
		?>
	  </td>
	</tr>
	<tr>
	  <td> ../compile_dir/目录</td>
	  <td>要求可读写</td>
	  <td>
	  	<?
		$file2 = "../compile_dir/test.tmp";
		$fd2 = @fopen($file2,"w+");
		if($fd2) echo "<font color='green'>可读写</font>";
		else{
			echo "<font color='red'>错误：请将此目录设为可读写</font>";
			$error = 1;
		}
		@unlink($file2);
		?>
	  </td>
	</tr>
	<tr>
	  <td> ../cache/目录</td>
	  <td>要求可读写</td>
	  <td>
	  	<?
		$file3 = "../cache/test.tmp";
		$fd3 = @fopen($file3,"w+");
		if($fd3) echo "<font color='green'>可读写</font>";
		else{
			echo "<font color='red'>错误：请将此目录设为可读写</font>";
			$error = 1;
		}
		@unlink($file3);
		?>
	  </td>
	</tr>
	<tr>
	  <td> 是否支持 serialize 函数</td>
	  <td>要求支持</td>
	  <td>
	  	<?
		if(function_exists("serialize")){
			echo "<font color='green'>支持</font>";
		}else{
			$error = 1;
			echo "<font color='red'>不支持：将导致整个系统不能运行</font><br>";
			echo "解决方法：这是 php 内建的函数，如果不支持可能是您的PHP有问题，请重新安装PHP<br>";
		}
		?>
	  </td>
	</tr>
	<tr>
	  <td> 是否支持 unserialize 函数</td>
	  <td>要求支持</td>
	  <td>
	  	<?
		if(function_exists("unserialize")){
			echo "<font color='green'>支持</font>";
		}else{
			$error = 1;
			echo "<font color='red'>不支持：将导致整个系统不能运行</font><br>";
			echo "解决方法：这是 php 内建的函数，如果不支持可能是您的PHP有问题，请重新安装PHP<br>";
		}
		?>
	  </td>
	</tr>
	
	<tr>
	  <td style="border-bottom:0"> 是否支持 iconv 函数</td>
	  <td style="border-bottom:0">要求支持</td>
	  <td style="border-bottom:0">
	  	<?
		if(function_exists("iconv")){
			echo "<font color='green'>支持</font>";
		}else{
			echo "<font color='red'>不支持：查询 .cn 域名信息时会出现乱码</font><br>";
			echo "解决方法：1. 在 php.ini 里开启 php_iconv.dll 这个扩展<br>";
			echo "　　　　　2. 将 php安装目录\dlls\ 目录下的全部文件copy到 系统安装目录的 system32 目录下<br>";
			echo "　　　　　3. 如果是用的 php5 ,直接开启 php_iconv.dll 这个扩展就行了 <br>";
			echo "　　　　　4. 以上解决方案是针对于 windows 平台的，如果是其它操作系统，也是同样要开启 php_iconv 这个扩展就行了 <br>";
		}
		?>
	  </td>
	</tr>
</table>

<div style="text-align:right;padding:20px 20px 20px 20px;width:90%;">
<?
if($error==1){
	echo "<font color='red'>您的网站空间不符合系统安装要求，安装程序不能继续，请根据出错信息调整服务器或跟空间提供商联系</font>";
}else{
	echo '<div style="float:left"><input type="button" value="上一步" class="BUTTON" onClick="location=\'index.php\'"></div>';
	echo '<input type="button" value="开始安装" class="BUTTON" onClick="location=\'index.php?step=initdata\'">';
}
?>
</div>